LibreOffice: XEngineListener Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XEngineListener Interface Referencepublished

makes it possible to receive events from a scripting engine. More...

`import <XEngineListener.idl;`

Inheritance diagram for XEngineListener:

## Public Member Functions
void | interrupt ([in] com::sun::star::script::InterruptEngineEvent Evt)
| gets fired when an interrupt occurs during the script execution.
void | running ([in] com::sun::star::lang::EventObject Evt)
| gets fired when the script gets into execution state.
void | finished ([in] com::sun::star::script::FinishEngineEvent Evt)
| gets fired when the script execution has finished.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive events from a scripting engine.

Deprecated:

## Member Function Documentation

## ◆ finished()

void finished | ( | [in] com::sun::star::script::FinishEngineEvent | Evt | ) |

gets fired when the script execution has finished.

## ◆ interrupt()

void interrupt | ( | [in] com::sun::star::script::InterruptEngineEvent | Evt | ) |

gets fired when an interrupt occurs during the script execution.

If you call the method, the execution stops. So in this situation, the stack and variable values are still available by using the appropriate XDebugging methods.

## ◆ running()

void running | ( | [in] com::sun::star::lang::EventObject | Evt | ) |

gets fired when the script gets into execution state.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XEngineListener.idl